Update Patient Vitals and Link to ABHA
curl --request PATCH \
--url https://api.eka.care/trackers/api/v1/vitals/{txn_id} \
--header 'Content-Type: application/json' \
--header 'auth: <api-key>' \
--data '
{
"vitals": [
{
"display_name": "Pulse rate",
"identifiers": {
"unique_id": "354bks353",
"eka_code": "lb-1201285132",
"loinc": "17616716"
},
"vital_value": {
"value_type": "NUM",
"value": 75
},
"vital_unit": {
"display_unit": "{Counts}/min",
"ucum_code": "/min"
},
"measured_at": {
"measurement_type": "INSTANT",
"start": "2025-01-30T06:19:23.583000+00:00",
"end": null
}
},
{
"display_name": "Blood Glucose",
"identifiers": {
"unique_id": "354bks354",
"eka_code": "lb-1201285133",
"loinc": "15074-8"
},
"vital_value": {
"value_type": "NUM",
"value": 90
},
"vital_unit": {
"display_unit": "mg/dL",
"ucum_code": "mg/dL"
},
"measured_at": {
"measurement_type": "DURATION",
"start": "2025-01-30T06:19:23.583000+00:00",
"end": "2025-01-30T06:29:23.583000+00:00"
}
}
]
}
'import requests
url = "https://api.eka.care/trackers/api/v1/vitals/{txn_id}"
payload = { "vitals": [
{
"display_name": "Pulse rate",
"identifiers": {
"unique_id": "354bks353",
"eka_code": "lb-1201285132",
"loinc": "17616716"
},
"vital_value": {
"value_type": "NUM",
"value": 75
},
"vital_unit": {
"display_unit": "{Counts}/min",
"ucum_code": "/min"
},
"measured_at": {
"measurement_type": "INSTANT",
"start": "2025-01-30T06:19:23.583000+00:00",
"end": None
}
},
{
"display_name": "Blood Glucose",
"identifiers": {
"unique_id": "354bks354",
"eka_code": "lb-1201285133",
"loinc": "15074-8"
},
"vital_value": {
"value_type": "NUM",
"value": 90
},
"vital_unit": {
"display_unit": "mg/dL",
"ucum_code": "mg/dL"
},
"measured_at": {
"measurement_type": "DURATION",
"start": "2025-01-30T06:19:23.583000+00:00",
"end": "2025-01-30T06:29:23.583000+00:00"
}
}
] }
headers = {
"auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {auth: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vitals: [
{
display_name: 'Pulse rate',
identifiers: {unique_id: '354bks353', eka_code: 'lb-1201285132', loinc: '17616716'},
vital_value: {value_type: 'NUM', value: 75},
vital_unit: {display_unit: '{Counts}/min', ucum_code: '/min'},
measured_at: {
measurement_type: 'INSTANT',
start: '2025-01-30T06:19:23.583000+00:00',
end: null
}
},
{
display_name: 'Blood Glucose',
identifiers: {unique_id: '354bks354', eka_code: 'lb-1201285133', loinc: '15074-8'},
vital_value: {value_type: 'NUM', value: 90},
vital_unit: {display_unit: 'mg/dL', ucum_code: 'mg/dL'},
measured_at: {
measurement_type: 'DURATION',
start: '2025-01-30T06:19:23.583000+00:00',
end: '2025-01-30T06:29:23.583000+00:00'
}
}
]
})
};
fetch('https://api.eka.care/trackers/api/v1/vitals/{txn_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "All vitals data saved and successfully linked to ABHA for care context ID: ekap_durgesh-stage-002",
"data": {
"abha_linking": "success",
"abha_message": "ABHA linking successful",
"processing_status": {
"processed": [
{
"resource_type": "vitals",
"fhir_id": "e5d0b6c6-c932-5e0d-8a90-dc8e2729875c",
"identifier": "ekap_0832043542354bks353"
}
],
"failed": []
}
}
}{
"message": "Vitals data partially saved and successfully linked to ABHA for care context ID: ekap_durgesh-stage-002",
"data": {
"abha_linking": "success",
"abha_message": "ABHA linking successful",
"processing_status": {
"processed": [
{
"resource_type": "vitals",
"fhir_id": "e5d0b6c6-c932-5e0d-8a90-dc8e2729875c",
"identifier": "ekap_0832043542354bks353"
}
],
"failed": [
{
"resource_type": "vitals",
"identifier": "c932-5e0d-8a90-dc8e27",
"error": {
"code": "parsing_error",
"message": "unable to parse the observation due to empty doc id"
}
}
]
}
}
}{
"error": {
"error_code": "VALIDATION_ERROR",
"display_message": "Please check your input data and try again.",
"message": "non_field_errors: Either 'w-id' or 'b-id' is required"
}
}{
"error": {
"error_code": "INTERNAL_ERROR",
"display_message": "An error occurred while processing your request.",
"message": "Database connection timeout occurred while processing the request"
}
}{
"error": {
"error_code": "INTERNAL_ERROR",
"display_message": "An error occurred while processing your request.",
"message": "Database connection timeout occurred while processing the request"
}
}Vital
Update Patient Vitals and Link to ABHA
Update the vitals data for a specific patient using the transaction ID. It processes the data and links it to the ABHA (Ayushman Bharat Health Account) if requested. Request body must include valid list of vitals.
Refer to the Table for proper eka_code, LOINC code and UCUM code mappings for different vital signs.
PATCH
/
trackers
/
api
/
v1
/
vitals
/
{txn_id}
Update Patient Vitals and Link to ABHA
Authorizations
The API requires the following auth header for authentication.
Path Parameters
Transaction ID to identify the specific vitals record.
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I

